Bug 1747996 - Review Request: powdertoy - Physics sandbox game
Summary: Review Request: powdertoy - Physics sandbox game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2019-09-02 12:12 UTC by Artur Iwicki
Modified: 2019-10-04 21:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-04 20:04:51 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2019-09-02 12:12:30 UTC
spec: https://svgames.pl/fedora/powdertoy-94.1-2.spec
srpm: https://svgames.pl/fedora/powdertoy-94.1-2.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=37423900

Description: Powder Toy is a physics sandbox game, which simulates air pressure and velocity, heat, gravity and a number of other interactions between many different substances.

Fedora Account System Username: suve

Comment 1 Artur Iwicki 2019-09-06 09:56:41 UTC
spec: https://svgames.pl/fedora/powdertoy-94.1-3.spec
srpm: https://svgames.pl/fedora/powdertoy-94.1-3.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=37495276

Wrote two patches (submitted upstream) that address some minor annoyances.

Comment 2 Petr Menšík 2019-09-11 09:14:59 UTC
srpm package URL from comment #1 returns 403 Forbidden.
Also, it is unusual to include version in spec file name.

Comment 3 Artur Iwicki 2019-09-11 10:09:37 UTC
Fixed the 403 issue, the link should work fine now.

For the purposes of review requests, I prefer to include the version-release in spec file names as to allow to easily compare changes between versions. The number goes away when importing to dist-git.

Comment 4 Robert-André Mauchin 🐧 2019-09-19 17:54:30 UTC
 - Missing dist info in Release:

Release: 3%{?dist}

 - Package also contains MIT and ASL 2.0:

Apache License (v2.0)
---------------------
The-Powder-Toy-94.1/src/bson/BSON.cpp
The-Powder-Toy-94.1/src/bson/BSON.h

Expat License
-------------
The-Powder-Toy-94.1/src/json/json-forwards.h
The-Powder-Toy-94.1/src/json/json.h
The-Powder-Toy-94.1/src/json/jsoncpp.cpp
The-Powder-Toy-94.1/src/lua/LuaBit.cpp
The-Powder-Toy-94.1/src/lua/LuaBit.h

   Please add them to the License field and add a comment explaining the breakdown.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License", "GPL (v2 or later)", "*No copyright* GPL (v3 or later)",
     "Apache License (v2.0)", "Expat License", "GNU Lesser General Public
     License (v2.1 or later)". 570 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/powdertoy/review-
     powdertoy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: powdertoy-94.1-3.x86_64.rpm
          powdertoy-debuginfo-94.1-3.x86_64.rpm
          powdertoy-debugsource-94.1-3.x86_64.rpm
          powdertoy-94.1-3.src.rpm
powdertoy.x86_64: W: spelling-error %description -l en_US wirings -> wiring, wrings, wiring's
powdertoy.x86_64: W: spelling-error %description -l en_US stickmen -> stick men, stick-men, stickiness
powdertoy.x86_64: W: no-documentation
powdertoy.x86_64: W: no-manual-page-for-binary powdertoy
powdertoy.src: W: spelling-error %description -l en_US wirings -> wiring, wrings, wiring's
powdertoy.src: W: spelling-error %description -l en_US stickmen -> stick men, stick-men, stickiness
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 5 Artur Iwicki 2019-09-25 08:38:14 UTC
spec: https://svgames.pl/fedora/powdertoy-94.1-4.spec
srpm: https://svgames.pl/fedora/powdertoy-94.1-4.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=37852199

Fixed the Release: and License: tags, also rewrote the "store stuff in HOME" patch.

Comment 6 Robert-André Mauchin 🐧 2019-09-25 17:53:03 UTC
 - add a comment explaining the license breakdown


Package approved.

Comment 7 Gwyn Ciesla 2019-09-25 19:18:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/powdertoy

Comment 8 Fedora Update System 2019-09-26 17:34:24 UTC
FEDORA-2019-bcea3231a4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bcea3231a4

Comment 9 Fedora Update System 2019-09-26 17:34:42 UTC
FEDORA-2019-bd5b8af484 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd5b8af484

Comment 10 Fedora Update System 2019-09-26 17:35:05 UTC
FEDORA-2019-30f9ba1c80 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-30f9ba1c80

Comment 11 Fedora Update System 2019-09-27 02:18:57 UTC
powdertoy-94.1-4.1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd5b8af484

Comment 12 Fedora Update System 2019-09-27 02:28:56 UTC
powdertoy-94.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bcea3231a4

Comment 13 Fedora Update System 2019-09-27 03:13:37 UTC
powdertoy-94.1-4.1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-30f9ba1c80

Comment 14 Fedora Update System 2019-10-04 20:04:51 UTC
powdertoy-94.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-10-04 21:24:14 UTC
powdertoy-94.1-4.1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-10-04 21:56:48 UTC
powdertoy-94.1-4.1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.